package com.adaptrex.sandbox.services;

import org.apache.tapestry5.ioc.Configuration;
import org.apache.tapestry5.ioc.OrderedConfiguration;
import org.apache.tapestry5.ioc.ServiceBinder;
import org.apache.tapestry5.ioc.annotations.Contribute;
import org.apache.tapestry5.services.MarkupRenderer;
import org.apache.tapestry5.services.MarkupRendererFilter;

public class CayennesandboxModule {

	public static void bind(ServiceBinder binder) {
		binder.bind(IAdaptrexService.class, AdaptrexService.class).preventReloading();
	}

	
	@Contribute(MarkupRenderer.class)
	public static void deactiveDefaultCSS(OrderedConfiguration<MarkupRendererFilter> configuration)
	{
	    configuration.override("InjectDefaultStylesheet", null);
	}
	
	public static void contributeIgnoredPathsFilter(Configuration<String> configuration) {
		configuration.add("/rest/.*");
	}
	
}
